import { readdirSync } from "fs";

const Router = require("koa-router");
export const router = new Router();
import { getUserList } from "../controller/user";

router.get("/list", getUserList);
// 自动载入同级目录中所有文件里的router
readdirSync(__dirname).forEach(async (file) => {
	// console.log(file)
	if (file !== "index.ts") {
		let { router: r } = require("./" + file);
		// console.log(r)
		router.use(r.routes());
	}
});


export default router;
